Page MenuHomePhabricator

Add MediaWiki extensions to zuul/layout.yaml in so Jenkins can run builds
Closed, ResolvedPublic

Description

It was noticed that Jenkins was silent on some patches for extensions in https://phabricator.wikimedia.org/T175794 when those patches were submitted into Gerrit.

To keep things clean and make Jenkins track all extensions, run builds and tests for them, it would be good to include missing extensions in the file zuul/layout.yaml in the integration/config/ Git repository.
You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

https://gerrit.wikimedia.org/r/#/c/373408/ is an example change on SendGrid extension on a similar thing that needs to be done. When working on a patch, make sure the location of where the extension is added should be in alphabetical order as to make it easy and clear. :)

You must make sure that the repository passes "composer test" and "npm test" commands (documentation).

Additional thoughts: Was wondering if [inactive] and [archived] extensions can be removed from zuul/layout.yaml? It would be similar to this ticket but instead of adding, we would be removing. I can create another ticket with a list of archived and inactive extensions too.

NOTE: [ARCHIVED] and [INACTIVE] projects not included in this list as they are no longer maintained.

GCI criteria for approval: Submit a Patch Set (PS) with the addition of only 2 extension CI test into Zuul.

TODO:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2017, 11:52 PM
D3r1ck01 renamed this task from Add MediaWiki extensions to zuul/layout.yaml in Jenkins to Add MediaWiki extensions to zuul/layout.yaml in so Jenkins can run builds.Dec 24 2017, 11:55 PM
D3r1ck01 updated the task description. (Show Details)Dec 24 2017, 11:58 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 12:00 AM
nikitavbv updated the task description. (Show Details)Dec 25 2017, 12:22 AM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 12:56 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:06 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:23 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:34 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:47 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:55 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 1:58 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 3:09 PM
D3r1ck01 updated the task description. (Show Details)Dec 25 2017, 3:39 PM

I've iterated over mediawiki/extensions/* for all extensions not found in zuul/layout.yaml. Above is the list and will mentor this along other interested mentors for Google-Code-in-2017.

D3r1ck01 updated the task description. (Show Details)

https://gerrit.wikimedia.org/r/#/c/394578/ will handle many of the BlueSpice extensions

Okay! @Umherirrender, can you help mark all the BlueSpice extensions that have been handled in the patch? Maybe remove them from the list?

Umherirrender updated the task description. (Show Details)

https://gerrit.wikimedia.org/r/#/c/394578/ will handle many of the BlueSpice extensions

Okay! @Umherirrender, can you help mark all the BlueSpice extensions that have been handled in the patch? Maybe remove them from the list?

I have added checkboxes and marked as strike

Okay @Umherirrender, thanks very much! Wondering if this task will go again for GCI :D

extensions/Collection/OfflineContentGenerator/epub_renderer - not in zuul
extensions/Collection/OfflineContentGenerator/node_modules - not in zuul

Likely not worth the efforts as OCG has been superseded by Electron/Proton in the software stack

extensions/GitGadgets - not in zuul
extensions/Recoin - not in zuul
extensions/Wigo3 - not in zuul

I cannot find any info page on mediawiki.org about these extensions...

Aklapper updated the task description. (Show Details)Dec 28 2017, 8:57 AM

https://codein.withgoogle.com/tasks/4945422273478656/ :

  • mediawiki/extensions/PreferencesList
  • mediawiki/extensions/PreferencesMaster

https://codein.withgoogle.com/dashboard/4677761790640128/ :

  • mediawiki/extensions/DonationInterface/vendor
  • mediawiki/extensions/Form

Feel free to copy & paste those tasks on the GCI website (adjust the list of repositories!) to create more tasks on the GCI website if you think that it makes sense for further extensions! Thanks.

nikitavbv updated the task description. (Show Details)Dec 29 2017, 7:04 PM

I just claimed a task on GCI (PreferencesList and PreferencesMaster). I decided to check that extensions code and noticed that both repos are empty. Do we still need to add those extensions to zuul in such case?

nikitavbv updated the task description. (Show Details)Dec 29 2017, 7:40 PM
D3r1ck01 updated the task description. (Show Details)Dec 29 2017, 7:42 PM

Change 400712 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[integration/config@master] Add Form extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/400712

Change 400714 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[integration/config@master] Add BlueSpiceAbout extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/400714

nikitavbv updated the task description. (Show Details)Dec 29 2017, 8:44 PM
nikitavbv updated the task description. (Show Details)Dec 29 2017, 8:49 PM

Change 400714 merged by jenkins-bot:
[integration/config@master] Add BlueSpiceAbout extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/400714

Change 400712 merged by jenkins-bot:
[integration/config@master] Add Form extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/400712

D3r1ck01 updated the task description. (Show Details)Dec 30 2017, 10:05 AM
D3r1ck01 updated the task description. (Show Details)Dec 30 2017, 10:14 AM
Legoktm updated the task description. (Show Details)Dec 30 2017, 10:16 AM
D3r1ck01 updated the task description. (Show Details)Dec 30 2017, 10:26 AM
D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 10:40 AM
D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 10:51 AM
D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 10:57 AM
D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 10:59 AM
D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 11:04 AM

extensions/Collection/OfflineContentGenerator/epub_renderer - not in zuul
extensions/Collection/OfflineContentGenerator/node_modules - not in zuul

Likely not worth the efforts as OCG has been superseded by Electron/Proton in the software stack

extensions/GitGadgets - not in zuul
extensions/Recoin - not in zuul
extensions/Wigo3 - not in zuul

I cannot find any info page on mediawiki.org about these extensions...

@Aklapper, I've updated the ticket to take care of this repos. Thanks.

D3r1ck01 updated the task description. (Show Details)Jan 1 2018, 11:07 AM

Change 401627 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[integration/config@master] Add BlueSpicePageAccess extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/401627

Change 401628 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[integration/config@master] Add BlueSpiceNamespaceCSS extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/401628

divadsn updated the task description. (Show Details)Jan 2 2018, 10:38 PM

Change 401627 merged by jenkins-bot:
[integration/config@master] Add BlueSpicePageAccess extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/401627

Change 401628 merged by jenkins-bot:
[integration/config@master] Add BlueSpiceNamespaceCSS extension to zuul/layout.yaml

https://gerrit.wikimedia.org/r/401628

Zoranzoki21 updated the task description. (Show Details)Jan 28 2018, 8:19 PM

Change 406524 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Add MediaWiki extensions to zuul/layout.yaml in so Jenkins can run builds

https://gerrit.wikimedia.org/r/406524

This comment was removed by Zoranzoki21.

Change 406524 abandoned by Zoranzoki21:
Add few extensions in zuul/layout.yaml to Jenkins can run builds and remove mediawiki/extensions/Collection/OfflineContentGenerator/node_modules

https://gerrit.wikimedia.org/r/406524

hashar closed this task as Resolved.Jul 13 2018, 12:30 PM
hashar claimed this task.

The original request has been mostly fullfilled. There are extensions repositories being created constantly and they have the CI configuration being added eventually.

There is a job that tracks repositories being active in Gerrit that lacks a configuration in zuul/layout.yaml https://integration.wikimedia.org/ci/job/integration-config-qa/lastCompletedBuild/testReport/

Okay @hashar, thanks a lot :)